openal_listener_get
openal_source_create
Fonctions OpenAL
PHP Manual

# openal_listener_set

(PECL openal:0.1)

openal_listener_set — Définie une propriété d'auditeur

### Description

bool openal_listener_set ( int `$property` , mixed `$setting` )

### Liste de paramètres

`property`

  La propriété à définir, une parmi celles-ci : `AL_GAIN` (float), `AL_POSITION` (array(float,float,float)), `AL_VELOCITY` (array(float,float,float)) et `AL_ORIENTATION` (array(float,float,float)).

`setting`

  La valeur à définir, soit un nombre à virgule flottante, soit un tableau de nombres à virgule flottante appropriés.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Voir aussi

- openal_listener_get()

openal_listener_get
openal_source_create
Fonctions OpenAL
PHP Manual